Чтение RSS каналов

Форум

Открыть Ответить

Slaed CMS 4.3 Pro не работает на php 5.4 и выше.

0

0
1
13.02.2017 19:17:31
Приветствую всех пользователей и посетителей.

Возникла такая проблема:

Планируется переезд на php 5.4 т.к. для одного из скриптом интернет магазина требуется минимум данная версия. В начале тестов, обнаружил то, что сайт версии 4.3 перестал работать на данной версии php. Пробовал многое, не помогло ничего. Что посоветуете? Можно поправить под новую версию php не обновляя систему.

Обновление невозможно по причине того, что огромное количество модулей переписать нет возможности и знаний, дизайн сверстан под версию 4.3 только.

Заранее спасибо за помощь!!!


Версия системы: SLAED CMS 4.* Pro
Версия PHP: 5
Сервер: Сервер в интернете
4.51

4.51
2
13.02.2017 21:14:07
Нужно активировать сообщения об ошибках в конфигурации системы. Далее по мере появления неточностей, корректировать необходимые участки кода.

Если не уверены в своих силах, оптимальным вариантом является передача работы специалисту. Можете обратится ко мне лично, сообщив по средствам обратной связи данные для доступа к панели управлению системы и ФТП.

Если обновление системы невозможно, то к сожалению других вариантов в вашем случае не вижу.

О сколько нам открытий чудных,
Готовит просвещенья дух,
И опыт, сын ошибок трудных,
И гений, парадоксов друг...
3.20

3.20
3
14.02.2017 19:04:43
Нашел причину.

Для того, чтобы заработало, надо в конфигурации, отключить функцию:

Активировать совместимость со старыми модулями?

После начинает все работать. Но работает только сам сайт. Модули из старой версии перестают работать. Теперь думаю как сделать так, чтобы заработал один модуль, которые и есть весь сайт.

Модуль под названием sms может знакомы. Не подскажете как быть?
4.51

4.51
4
14.02.2017 19:08:47
Поставьте локальный сервер, рекомендую OpenServer, в настройках установите необходимую версию PHP, активируйте отображение ошибок и ищите причины.

О сколько нам открытий чудных,
Готовит просвещенья дух,
И опыт, сын ошибок трудных,
И гений, парадоксов друг...
3.20

3.20
5
14.02.2017 19:14:01
На сервере вообще файл не формируется с ошибками.
Все в настройках делал везде где требовалось. Файл пуст.
На локальном правда не пробовал только. Наверное надо будет попробовать.

Попробую отпишусь. Думаю не только у меня подобная проблема может возникнуть у многих при переезде на новые версии php.
4.51

4.51
6
14.02.2017 19:16:4714.02.2017 19:18:17

Поставьте локальный сервер, рекомендую OpenServer, в настройках установите необходимую версию PHP, активируйте отображение ошибок и ищите причины.


Вопрос попутно, сколько будет стоить до точить готовый шаблон под новую версию Slaed? Попутно поправить 1 модуль только, который является основным.

Стоимость примерная, если это сделаете Вы?
4.51

4.51
7
14.02.2017 19:20:2614.02.2017 19:28:03
Версия SLAED CMS 4.3 Pro выпущена в 2008 году, я думаю дальше объяснять не стоит. Обновляться просто необходимо, тем более сейчас.

Расценки можно посмотреть в отделе "Услуги по изготовлению и модификации". Цены указаны от минимум и выше, в зависимости от количества работы. Точная оценка в индивидуальном порядке.

Если вас интересует стоимость и сроки реализации на моей стороне, то все нюансы пожалуйста приватом.

О сколько нам открытий чудных,
Готовит просвещенья дух,
И опыт, сын ошибок трудных,
И гений, парадоксов друг...
3.20

3.20
Открыть Ответить
ничегоможноспасибопоправитьданнойвозможностиработатьпробовалзаранееверсиюпомоглопосоветуетемногоеверсииперестал
Хотите опробовать SLAED CMS в действии?

Технологии

PHP MySQL HTML 5 CSS 3 jQuery jQuery UI

Контакты

  • D-49179, Deutschland
    Ostercappeln, Im Siek 6
  • +49 176 61966679

  • https://slaed.net
Идеи и предложения
Обратная связь